%global pypi_name influxdb

Name:           python-%{pypi_name}
Version:        5.0.0
Release:        2%{?dist}
Summary:        InfluxDB client

License:        MIT
URL:            https://github.com/influxdb/influxdb-python
Source0:        https://pypi.python.org/packages/e1/af/94faea244de2a73b7a0087637660db2d638edaae58f22d3f0d0d219ad8b7/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python2-setuptools
BuildRequires:  python2-devel
 
BuildRequires:  python3-setuptools
BuildRequires:  python3-devel

%description
InfluxDB Python is a client for interacting with InfluxDB. 

%package -n     python2-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{pypi_name}}
 
Requires:       python2-requests
Requires:       python2-dateutil
Requires:       pytz
Requires:       python-six

%description -n python2-%{pypi_name}
InfluxDB Python is a client for interacting with InfluxDB.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3-requests
Requires:       python3-dateutil
Requires:       python3-pytz
Requires:       python3-six

%description -n python3-%{pypi_name}
InfluxDB Python is a client for interacting with InfluxDB.

%prep
%autosetup -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%build
%py2_build
%py3_build

%install
%py3_install
%py2_install

%files -n python2-%{pypi_name}
%license LICENSE
%doc README.rst
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py*egg-info

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py*egg-info

%changelog
* Tue Nov 21 2017 David Hannequin <david.hannequin@gmail.com> - 5.0.0-2
- Update from uptsream.

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Jun 18 2017 David Hannequin <david.hannequin@gmail.com> - 4.1.1-2
- Update from uptsream,
- Change source url.

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Dec 25 2016 David Hannequin <david.hannequin@gmail.com> - 4.0.0-1
- Update from uptsream,
- Improvements in timezone handling,
- Properly quote all identifiers and literals,
- Removed get_list_servers,
- Fixes in tutorial_server_data.py,
- Added more data type examples to tutorial.py.


* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 3.0.0-2
- Rebuild for Python 3.6

* Wed Oct 05 2016 David Hannequin <david.hannequin@gmail.com> - 3.0.0-1
- Initial package.
